Subject: Re: bug#24938: 25.1; 25.1 slow cursor movement with Unicode on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Nov 2016 22:39:57 +0200

> From: "Peromsik, Aaron" <[email-masked]>
> Date: Sun, 13 Nov 2016 20:13:34 +0000
> 
> Emacs 25.1 on Windows, including the new optimized build, is much
> slower than Emacs 24.5 was when navigating files which contain Unicode
> characters such as ¢Ì . Cursor movement noticeably stutters when using
> arrow keys or typing on a line which contains that character. Just try
> moving the cursor along the two lines below to see the difference:
> 
> Char: ¢Ì (9641, #o22651, #x25a9, file ...) point=299 of 4451 (7%) column=19
> Char: (9641, #o22651, #x25a9, file ...) point=299 of 4451 (7%) column=19

I don't see the problem here.

I think this is another case of bug#24565.  If you can try building
the current emacs-25 branch and setting the new variable
inhibit-compacting-font-caches to non-nil, we can now for sure.